Permalink
Browse files

Added build.properties pointing to SBT 0.11.2 and updated to the late…

…st version of the sbt-idea plugin
  • Loading branch information...
1 parent a25f199 commit 9134eb5603c2507a9e7de3950999de0621997f0b Oscar Renalias committed Sep 18, 2012
Showing with 6 additions and 3 deletions.
  1. +1 −0 project/build.properties
  2. +5 −3 project/plugins.sbt
View
1 project/build.properties
@@ -0,0 +1 @@
+sbt.version=0.11.2
View
8 project/plugins.sbt
@@ -7,13 +7,15 @@ resolvers ++= Seq(
// Type "sbt gen-idea" to create an IntelliJ IDEA project.
-addSbtPlugin("com.github.mpeltonen" % "sbt-idea" % "1.0.0")
+addSbtPlugin("com.github.mpeltonen" % "sbt-idea" % "1.1.0")
// Type "sbt eclipse" to create an eclipse project
-addSbtPlugin("com.typesafe.sbteclipse" % "sbteclipse" % "2.1.0-RC1")
+// Oscar Renalias 20120917: deactivated for now, since the latest version of sbt-eclipse only works with SBT 0.11.3-2 or 0.12, and both are giving me problems with dependencies
+
+//addSbtPlugin("com.typesafe.sbteclipse" % "sbteclipse" % "2.1.0")
addSbtPlugin("play" % "sbt-plugin" % "2.0.1")
// Comment to get more information during initialization
-logLevel := Level.Warn
+logLevel := Level.Warn

4 comments on commit 9134eb5

@rishikhare

Thanks, it is very helpful.

@jsw

I made the above changes, and I get the following:

[info] Loading project definition from /usr/local/play-2.0-spring-module-master/project
[info] Set current project to play-2.0-spring-module (in build file:/usr/local/play-2.0-spring-module-master/)
[success] Total time: 0 s, completed Dec 14, 2012 12:56:49 PM
[info] Updating {file:/usr/local/play-2.0-spring-module-master/}play-2.0-spring-module...
[warn] ::::::::::::::::::::::::::::::::::::::::::::::

[warn] :: UNRESOLVED DEPENDENCIES ::
[warn] ::::::::::::::::::::::::::::::::::::::::::::::
[warn] :: org.slf4j#slf4j-api;1.6.1: configuration not found in org.slf4j#slf4j-api;1.6.1: 'compile'. It was required from org.hibernate#hibernate-validator;4.2.0.Final compile
[warn] :: commons-codec#commons-codec;1.4: configuration not found in commons-codec#commons-codec;1.4: 'compile'. It was required from org.apache.httpcomponents#httpclient;4.1.2 compile
[warn] ::::::::::::::::::::::::::::::::::::::::::::::
[error] {file:/usr/local/play-2.0-spring-module-master/}play-2.0-spring-module/*:update: sbt.ResolveException: unresolved dependency: org.slf4j#slf4j-api;1.6.1: configuration not found in org.slf4j#slf4j-api;1.6.1: 'compile'. It was required from org.hibernate#hibernate-validator;4.2.0.Final compile
[error] unresolved dependency: commons-codec#commons-codec;1.4: configuration not found in commons-codec#commons-codec;1.4: 'compile'. It was required from org.apache.httpcomponents#httpclient;4.1.2 compile
[error] Total time: 2 s, completed Dec 14, 2012 12:56:51 PM

@oscarrenalias

I was able to confirm the issue with these missing dependencies and after some Googling, it turns that there's something that is getting Ivy confused. Deleting the following folders worked for me:

$HOME/.ivy2/cache/commons-codec
$HOME/.ivy2/cache/org.slf4j

After deleting these files, reload your SBT and try to compile again.

@jsw

Thanks, that fixed it for me.

Please sign in to comment.